
Redmine - Defect #1886

Migration to new server

2008-09-11 08:41 - Jonathan Hall

Status: Closed Start date: 2008-09-11

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Having issues finalising the set up.

Moving from Win 2003 to Win 2008

MySQL community Ed 5 (same on both, data has been migrated using the MySQL migration tool)

Installed Ruby 1.86-26

Installed Gems

Installed Rails 2.1.1

e:\RedMine1>rake db:migrate RAILS_ENV="production" --trace

(in e:/RedMine)

Invoke db:migrate (first_time)

Invoke environment (first_time)

Execute environment

rake aborted!

Dependencies is not a module

e:/RedMine1/vendor/plugins/engines/lib/engines/rails_extensions/dependencies.rb:143

E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `require'

E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:355:in `new_constants_in'

E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `require'

e:/RedMine1/config/../vendor/plugins/engines/lib/engines.rb:94:in `load_extensions'

e:/RedMine1/config/../vendor/plugins/engines/lib/engines.rb:94:in `each'

e:/RedMine1/config/../vendor/plugins/engines/lib/engines.rb:94:in `load_extensions'

e:/RedMine1/config/../vendor/plugins/engines/lib/engines.rb:85:in `init'

e:/RedMine1/vendor/plugins/engines/init.rb:4:in `evaluate_init_rb'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:476:in `call'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:476:in `after_initialize'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:475:in `each'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:475:in `after_initialize'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:152:in `process'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:97:in `send'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/initializer.rb:97:in `run'

e:/RedMine1/config/environment.rb:20

E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require'

E:/Ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `require'

E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `require'

E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:355:in `new_constants_in'

E:/Ruby/lib/ruby/gems/1.8/gems/activesupport-2.1.1/lib/active_support/dependencies.rb:510:in `require'

E:/Ruby/lib/ruby/gems/1.8/gems/rails-2.1.1/lib/tasks/misc.rake:3

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:621:in `call'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:621:in `execute'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:616:in `each'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:616:in `execute'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:582:in `invoke_with_call_chain'

E:/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:575:in `invoke_with_call_chain'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:592:in `invoke_prerequisites'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:589:in `each'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:589:in `invoke_prerequisites'
E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:581:in `invoke_with_call_chain'

E:/Ruby/lib/ruby/1.8/monitor.rb:242:in `synchronize'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:575:in `invoke_with_call_chain'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:568:in `invoke'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2031:in `invoke_task'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2009:in `top_level'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2009:in `each'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2009:in `top_level'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2048:in `standard_exception_handling'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2003:in `top_level'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:1982:in `run'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:2048:in `standard_exception_handling'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/lib/rake.rb:1979:in `run'

E:/Ruby/lib/ruby/gems/1.8/gems/rake-0.8.2/bin/rake:31

E:/Ruby/bin/rake:19:in `load'

E:/Ruby/bin/rake:19

Cheers

Associated revisions

Revision 1810 - 2008-09-13 17:33 - Jean-Philippe Lang

Engines compatibility with Rails 2.1.1 (#1886).

Revision 1840 - 2008-09-14 17:33 - Nicolas Chuche

r18546@gaspard (orig r1810):  jplang | 2008-09-13 17:33:12 +0200

Engines compatibility with Rails 2.1.1 (#1886).

History

#1 - 2008-09-11 19:43 - Jean-Philippe Lang

Redmine was not tested with Rails 2.1.1.

Could you please install Rails 2.1 if you're using latest trunk and retry.

#2 - 2008-09-11 22:20 - Philippe Lafoucrière

I had same problem on another project, and it disappeared with a roll back to rails 2.1.0.

Similar problem here :

http://21croissants.blogspot.com/

and here :

http://blog.ashchan.com/archive/2008/09/11/community-engine-on-rails-211/

#3 - 2008-09-11 22:25 - Philippe Lafoucrière

- File 1886-dependencies-issues.patch added

ps : last blog article suggest to replace 

::Dependencies

with 

ActiveSupport::Dependencies

 So you can try to apply this patch, it worked for me.

#4 - 2008-09-12 01:02 - Jonathan Hall

- Status changed from New to Resolved

- % Done changed from 0 to 100

Works, thank you both ;)

#5 - 2008-09-13 15:04 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)
Please use Rails 2.1.

For now, Redmine tests don't pass with Rails 2.1.1.

#6 - 2008-09-13 17:31 - Jean-Philippe Lang

Philippe, your patch is not Rails 2.1.0 backward compatible.

r1811 passes tests with Rails 2.1.0 and 2.1.1.

Files

1886-dependencies-issues.patch 519 Bytes 2008-09-11 Philippe Lafoucrière
